Bug 845057 - Review Request: perl-Sub-Exporter-Progressive - Only use Sub::Exporter if you need it
Summary: Review Request: perl-Sub-Exporter-Progressive - Only use Sub::Exporter if yo...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 844965
TreeView+ depends on / blocked
 
Reported: 2012-08-01 15:35 UTC by Paul Howarth
Modified: 2012-09-17 22:05 UTC (History)
4 users (show)

Fixed In Version: perl-Sub-Exporter-Progressive-0.001006-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-12 19:58:01 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2012-08-01 15:35:58 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Sub-Exporter-Progressive/branches/fedora/perl-Sub-Exporter-Progressive.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Sub-Exporter-Progressive/perl-Sub-Exporter-Progressive-0.001002-2.fc18.src.rpm

Description:
Sub::Exporter is an incredibly powerful module, but with that power comes
great responsibility, er- as well as some runtime penalties. This module is a
Sub::Exporter wrapper that will let your users just use Exporter if all they
are doing is picking exports, but use Sub::Exporter if your users try to use
Sub::Exporter's more advanced features features, like renaming exports, if
they try to use them.

Note that this module will export @EXPORT and @EXPORT_OK package variables for
Exporter to work. Additionally, if your package uses advanced Sub::Exporter
features like currying, this module will only ever use Sub::Exporter, so you
might as well use it directly.

Fedora Account System Username: pghmcfc

This module is required by perl-Devel-GlobalDestruction 0.08.

Comment 3 Paul Howarth 2012-08-24 18:46:11 UTC
Petr, have you any comments on this package?

Comment 5 Petr Šabata 2012-08-27 12:47:11 UTC
(In reply to comment #3)
> Petr, have you any comments on this package?

Ah, I forgot about this one.
I'll get on it.

Comment 6 Petr Šabata 2012-08-27 13:42:06 UTC
Well, just one minor thing -- you can drop the perl(Test::Pod) buildtime dependency since it's not used anywhere.

Approving.

Comment 7 Paul Howarth 2012-08-27 20:41:45 UTC
(In reply to comment #6)
> Well, just one minor thing -- you can drop the perl(Test::Pod) buildtime
> dependency since it's not used anywhere.

Ah yes, that test seems to have been dropped at version 0.001004. I've removed the buildreq in the update for 0.001006 I'm just doing.

> Approving.

Thanks Petr.

New Package SCM Request
=======================
Package Name: perl-Sub-Exporter-Progressive
Short Description: Only use Sub::Exporter if you need it
Owners: pghmcfc
Branches: f16 f17 f18 el5 el6
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2012-08-28 01:16:24 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-08-28 08:59:02 UTC
perl-Sub-Exporter-Progressive-0.001006-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-Progressive-0.001006-1.el6

Comment 10 Fedora Update System 2012-08-28 08:59:11 UTC
perl-Sub-Exporter-Progressive-0.001006-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-Progressive-0.001006-1.fc16

Comment 11 Fedora Update System 2012-08-28 08:59:23 UTC
perl-Sub-Exporter-Progressive-0.001006-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-Progressive-0.001006-1.el5

Comment 12 Fedora Update System 2012-08-28 08:59:32 UTC
perl-Sub-Exporter-Progressive-0.001006-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-Progressive-0.001006-1.fc18

Comment 13 Fedora Update System 2012-08-28 08:59:43 UTC
perl-Sub-Exporter-Progressive-0.001006-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-Progressive-0.001006-1.fc17

Comment 14 Fedora Update System 2012-09-07 11:24:49 UTC
perl-Sub-Exporter-Progressive-0.001006-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 15 Fedora Update System 2012-09-07 11:36:06 UTC
perl-Sub-Exporter-Progressive-0.001006-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2012-09-12 19:28:13 UTC
perl-Sub-Exporter-Progressive-0.001006-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2012-09-12 19:28:47 UTC
perl-Sub-Exporter-Progressive-0.001006-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2012-09-17 22:05:23 UTC
perl-Sub-Exporter-Progressive-0.001006-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.